package server

import (
	"context"

	"git.espin.casa/albert/cml04-printer-robot/internal/service"
	"git.espin.casa/albert/cml04-printer-robot/pkg/api"
)

type server struct {
	api.UnimplementedRobotServiceServer
	svc service.IService
}

func (s server) PrintPackage(ctx context.Context, req *api.PrintPackageReq) (res *api.PrintPackageRes, err error) {
	return s.svc.PrintPackage(ctx, req)
}

func NewAPIServer(svc service.IService) *server {
	return &server{
		UnimplementedRobotServiceServer: api.UnimplementedRobotServiceServer{},
		svc:                             svc,
	}
}
